package com.ysnows.base.inter

import android.os.Bundle
import androidx.annotation.StringRes
import com.ysnows.base.view.BView

interface IViewModel {
    fun <T> singleFromBottom(clazz: Class<T>)
    fun <T> bundleBottom(clazz: Class<T>, bundle: Bundle?)
    fun toast(msg: String?)
    fun toast(@StringRes msgId: Int)
    fun <T> single(clazz: Class<T>)
    fun <T> bundle(clazz: Class<T>, bundle: Bundle?)
    fun firstReq()
    fun attachView(view: BView)
    fun init()
    fun view(): BView?
}